Package org.apache.sysds.runtime.instructions.ooc

# Class IndexingOOCInstruction.Sector<T>

java.lang.Object
org.apache.sysds.runtime.instructions.ooc.IndexingOOCInstruction.Sector<T>

Direct Known Subclasses:
  `IndexingOOCInstruction.Sector1`, `IndexingOOCInstruction.Sector2Col`, `IndexingOOCInstruction.Sector2Row`, `IndexingOOCInstruction.Sector4`

Enclosing class:
  IndexingOOCInstruction

public abstract static class IndexingOOCInstruction.Sector<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`Sector()`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`count()`
`abstract T`
`get(int rowOffset, int colOffset)`
`abstract boolean`
`place(int rowOffset, int colOffset, T data)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Sector

public Sector()

## Method Details

### place

public abstract boolean place(int rowOffset, int colOffset, T data)

### get

public abstract T get(int rowOffset, int colOffset)

### count

public abstract int count()